<template>
    <tbody>
        <tr>
            <th 
                v-for="data in inputData"
            >
                <label
                    class="col-form-label fw-bold cursor"
                    :for="data.name"
                >
                    {{data.title}}:
                    <sup class="star_red" v-show="data.isRequired">*</sup>
                </label>
            </th>
        </tr>
        <tr>
            <th 
                v-for="data in inputData"
            >
                <input
                    class="form-control"
                    :type="data.type"
                    v-model.trim="data.value"
                    :id="data.name"
                    :placeholder="data.placeholder"
                    :required="data.isRequired"
                >
            </th>
        </tr>
    </tbody>
</template>
<script>
export default {
    name: 'InputTable',
    props: {
        inputData: {
            type: Array,
            required: true
        }
    }
}
</script>
<style>
.star_red {
    color: red;
}

</style>